Tags
Generated on 18 Mar 2026
https://api.paperspace.com/v1
GET List a project's tags
/projects/{id}/tags
Authorizations:
BearerAuth
An API key or access token
Fetches a list of tags for a project.
Path Parameters
id
required
The ID of the project to fetch tags for
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descRequest: /projects/{id}/tags
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/tags"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the notebook was created
id
required
The ID of the tag
name
required
The name of the tag
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtCreated": "2019-08-24T14:15:22Z",
"id": 0,
"name": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Add a tag to a project
/projects/{id}/tags
Authorizations:
BearerAuth
An API key or access token
Adds a tag to a project.
Path Parameters
id
required
The ID of the project to add the tag to
Request Body: application/json
name
required
The name of the tag to add to the project
Request: /projects/{id}/tags
{
"name": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}' \
"https://api.paperspace.com/v1/projects/{id}/tags"Responses
200
Successful response
application/json
dtCreated
required
The date the notebook was created
id
required
The ID of the tag
name
required
The name of the tag
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"id": 0,
"name": "string"
}{
"code": "string",
"message": "string"
}DELETE Remove a tag from a project
/projects/{id}/tags
Authorizations:
BearerAuth
An API key or access token
Remove a tag from a project.
Path Parameters
id
required
The ID of the project to remove the tag from
Query Parameters
name
required
The name of the tag to remove from the project
Request: /projects/{id}/tags
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/tags"Responses
200
Successful response
application/json
dtCreated
required
The date the notebook was created
id
required
The ID of the tag
name
required
The name of the tag
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"id": 0,
"name": "string"
}{
"code": "string",
"message": "string"
}